Index: trunk/LMDZ.MARS/libf/aeronomars/inichim_newstart.F90
===================================================================
--- trunk/LMDZ.MARS/libf/aeronomars/inichim_newstart.F90	(revision 1421)
+++ trunk/LMDZ.MARS/libf/aeronomars/inichim_newstart.F90	(revision 1422)
@@ -3,4 +3,5 @@
 
       use tracer_mod
+      USE comvert_mod, ONLY: aps,bps
       implicit none
 
@@ -35,5 +36,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comvert.h"
 #include "callkeys.h"
 #include "datafile.h"
Index: trunk/LMDZ.MARS/libf/dyn3d/addfi.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/addfi.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/addfi.F	(revision 1422)
@@ -2,4 +2,8 @@
      S          pucov, pvcov, pteta, pq   , pps , pmasse ,
      S          pdufi, pdvfi, pdhfi,pdqfi, pdpfi  )
+
+      USE comvert_mod, ONLY: ap,bp
+      USE comconst_mod, ONLY: kappa
+
       IMPLICIT NONE
 c
@@ -46,8 +50,5 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comgeom.h"
-#include "serre.h"
-#include "comvert.h"
 c
 c    Arguments :
Index: trunk/LMDZ.MARS/libf/dyn3d/adv_h2o.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/adv_h2o.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/adv_h2o.F	(revision 1422)
@@ -1,3 +1,6 @@
       SUBROUTINE adv_h2o (nq,iq,q,w, pbaru, pbarv,dq)
+
+      USE logic_mod, ONLY: forward,leapf
+
       IMPLICIT NONE
 
@@ -19,6 +22,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
 
 c   Arguments:
Index: trunk/LMDZ.MARS/libf/dyn3d/advect.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/advect.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/advect.F	(revision 1422)
@@ -1,3 +1,7 @@
       SUBROUTINE advect(ucov,vcov,teta,w,massebx,masseby,du,dv,dteta)
+
+      USE comconst_mod, ONLY: daysec
+      USE logic_mod, ONLY: conser
+      USE ener_mod, ONLY: gtot
 
       IMPLICIT NONE
@@ -23,9 +27,5 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
 #include "comgeom.h"
-#include "logic.h"
-#include "ener.h"
 
 c   Arguments:
Index: trunk/LMDZ.MARS/libf/dyn3d/amont.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/amont.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/amont.F	(revision 1422)
@@ -1,3 +1,6 @@
       SUBROUTINE amont (nq,iq,q,w, pbaru, pbarv,dq)
+
+      USE logic_mod, ONLY: forward,leapf
+
       IMPLICIT NONE
 
@@ -18,6 +21,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
 
 c   Arguments:
Index: trunk/LMDZ.MARS/libf/dyn3d/amont_qsat.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/amont_qsat.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/amont_qsat.F	(revision 1422)
@@ -1,3 +1,7 @@
       SUBROUTINE amont_qsat (nq,iq,q,teta,pk,w, pbaru, pbarv,dq)
+
+      USE comvert_mod, ONLY: preff
+      USE comconst_mod, ONLY: kappa,cpp
+
       IMPLICIT NONE
 
@@ -19,9 +23,5 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
 #include "comgeom.h"
-#include "serre.h"
 
 c   Arguments:
Index: trunk/LMDZ.MARS/libf/dyn3d/bernoui.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/bernoui.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/bernoui.F	(revision 1422)
@@ -24,5 +24,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "logic.h"
 c
 c   Arguments:
Index: trunk/LMDZ.MARS/libf/dyn3d/caldyn.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/caldyn.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/caldyn.F	(revision 1422)
@@ -2,4 +2,6 @@
      $ (itau,ucov,vcov,teta,ps,masse,pk,pkf,phis ,
      $  phi,conser,du,dv,dteta,dp,w,pbaru,pbarv,time )
+
+      USE comvert_mod, ONLY: ap,bp
 
       IMPLICIT NONE
@@ -23,6 +25,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
 #include "comgeom.h"
 
Index: trunk/LMDZ.MARS/libf/dyn3d/caldyn0.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/caldyn0.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/caldyn0.F	(revision 1422)
@@ -2,4 +2,6 @@
      $ (itau,ucov,vcov,teta,ps,masse,pk,phis ,
      $  phi,w,pbaru,pbarv,time )
+
+      USE comvert_mod, ONLY: ap,bp
 
       IMPLICIT NONE
@@ -23,6 +25,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
 #include "comgeom.h"
 
Index: trunk/LMDZ.MARS/libf/dyn3d/comconst.h
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/comconst.h	(revision 1421)
+++ 	(revision )
@@ -1,13 +1,0 @@
-!-----------------------------------------------------------------------
-! INCLUDE comconst.h
-
-      COMMON/comconst/im,jm,lllm,imp1,jmp1,lllmm1,lllmp1,lcl,           &
-     & dtvr,daysec,                                                     &
-     & pi,dtphys,dtdiss,rad,r,cpp,kappa,cotot,unsim,g,omeg
-
-      INTEGER im,jm,lllm,imp1,jmp1,lllmm1,lllmp1,lcl
-      REAL dtvr,daysec
-      REAL pi,dtphys,dtdiss,rad,r,cpp,kappa
-      REAL cotot,unsim,g,omeg
-
-!-----------------------------------------------------------------------
Index: trunk/LMDZ.MARS/libf/dyn3d/comconst_mod.F90
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/comconst_mod.F90	(revision 1422)
+++ trunk/LMDZ.MARS/libf/dyn3d/comconst_mod.F90	(revision 1422)
@@ -0,0 +1,11 @@
+MODULE comconst_mod
+
+IMPLICIT NONE  
+
+INTEGER im,jm,lllm,imp1,jmp1,lllmm1,lllmp1,lcl
+REAL dtvr,daysec
+REAL pi,dtphys,dtdiss,rad,r,cpp,kappa
+REAL cotot,unsim,g,omeg
+
+
+END MODULE comconst_mod
Index: trunk/LMDZ.MARS/libf/dyn3d/comvert.h
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/comvert.h	(revision 1421)
+++ 	(revision )
@@ -1,12 +1,0 @@
-!-----------------------------------------------------------------------
-!   INCLUDE 'comvert.h'
-
-      COMMON/comvert/ap(llm+1),bp(llm+1),presnivs(llm),dpres(llm) ,     &
-     &               pa,preff,nivsigs(llm),nivsig(llm+1),               &
-     &               sig(llm+1),ds(llm),aps(llm),bps(llm),pseudoalt(llm)
-
-      REAL ap,bp,presnivs,dpres,pa,preff,nivsigs,nivsig
-! Mars Ce qui suit vient de gcm
-      REAL sig,ds,aps,bps,pseudoalt
-
-!-----------------------------------------------------------------------
Index: trunk/LMDZ.MARS/libf/dyn3d/comvert_mod.F90
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/comvert_mod.F90	(revision 1422)
+++ trunk/LMDZ.MARS/libf/dyn3d/comvert_mod.F90	(revision 1422)
@@ -0,0 +1,13 @@
+MODULE comvert_mod
+
+IMPLICIT NONE  
+
+include "dimensions.h"
+include "paramet.h"
+
+REAL ap(llm+1),bp(llm+1),presnivs(llm),dpres(llm),pa,preff,	&
+     	nivsigs(llm),nivsig(llm+1)
+! Mars Ce qui suit vient de gcm
+REAL sig(llm+1),ds(llm),aps(llm),bps(llm),pseudoalt(llm)
+
+END MODULE comvert_mod
Index: trunk/LMDZ.MARS/libf/dyn3d/convmas.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/convmas.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/convmas.F	(revision 1422)
@@ -31,6 +31,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comvert.h"
-#include "logic.h"
 
       REAL pbaru( ip1jmp1,llm ),pbarv( ip1jm,llm ),convm(  ip1jmp1,llm )
Index: trunk/LMDZ.MARS/libf/dyn3d/coordij.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/coordij.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/coordij.F	(revision 1422)
@@ -15,7 +15,5 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comgeom.h"
-#include "serre.h"
 
       real zlon,zlat
Index: trunk/LMDZ.MARS/libf/dyn3d/defrun_new.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/defrun_new.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/defrun_new.F	(revision 1422)
@@ -41,4 +41,7 @@
      &                       idissip, iphysiq, anneeref, ecritphy,
      &                       ecritstart, timestart, nday_r
+      USE logic_mod, ONLY: hybrid,purmats,physic,grireg,fxyhypb,ysinus
+      USE serre_mod, ONLY: clon,clat,grossismx,grossismy,dzoomx,dzoomy,
+     .			alphax,alphay,taux,tauy
       IMPLICIT NONE
 
@@ -46,6 +49,4 @@
 #include "paramet.h"
 !#include "control.h"
-#include "logic.h"
-#include "serre.h"
 #include "comdissnew.h"
 #include "sponge.h"
Index: trunk/LMDZ.MARS/libf/dyn3d/description.h
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/description.h	(revision 1421)
+++ 	(revision )
@@ -1,2 +1,0 @@
-      character *120 descript
-      common /titre/descript
Index: trunk/LMDZ.MARS/libf/dyn3d/dissip.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/dissip.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/dissip.F	(revision 1422)
@@ -1,4 +1,6 @@
       SUBROUTINE dissip( vcov,ucov,teta,p, dv,du,dh )
 c
+      USE comconst_mod, ONLY: dtdiss
+
       IMPLICIT NONE
 
@@ -24,5 +26,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comgeom.h"
 #include "comdissnew.h"
Index: trunk/LMDZ.MARS/libf/dyn3d/disvert.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/disvert.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/disvert.F	(revision 1422)
@@ -4,11 +4,13 @@
 c    Nouvelle version 100% Mars !!
 
+      USE comvert_mod, ONLY: ap,bp,sig,nivsigs,nivsig,pa,preff,
+     .                  aps,bps,presnivs,pseudoalt
+      USE comconst_mod, ONLY: kappa,pi
+      USE logic_mod, ONLY: hybrid
+
       IMPLICIT NONE
 
 #include "dimensions.h"
 #include "paramet.h"
-#include "comvert.h"
-#include "comconst.h"
-#include "logic.h"
 c
 c=======================================================================
Index: trunk/LMDZ.MARS/libf/dyn3d/divgrad.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/divgrad.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/divgrad.F	(revision 1422)
@@ -21,5 +21,4 @@
 #include "comgeom.h"
 #include "comdissipn.h"
-#include "logic.h"
 c
       INTEGER klevel
Index: trunk/LMDZ.MARS/libf/dyn3d/dteta1.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/dteta1.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/dteta1.F	(revision 1422)
@@ -20,5 +20,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "logic.h"
 
       REAL teta( ip1jmp1,llm ),pbaru( ip1jmp1,llm ),pbarv( ip1jm,llm)
Index: trunk/LMDZ.MARS/libf/dyn3d/dudv2.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/dudv2.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/dudv2.F	(revision 1422)
@@ -25,5 +25,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comvert.h"
 
       REAL teta( ip1jmp1,llm ),pkf( ip1jmp1,llm ) ,bern( ip1jmp1,llm ),
Index: trunk/LMDZ.MARS/libf/dyn3d/dynetat0.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/dynetat0.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/dynetat0.F	(revision 1422)
@@ -5,4 +5,12 @@
       use infotrac, only: tname,nqtot
       use control_mod, only: timestart
+      USE comvert_mod, ONLY: pa,preff
+      USE comconst_mod, ONLY: im,jm,lllm,daysec,dtvr,
+     .			rad,omeg,r,cpp,kappa,g
+      USE logic_mod, ONLY: fxyhypb,ysinus
+      USE serre_mod, ONLY: clon,clat,grossismx,grossismy,dzoomx,dzoomy,
+     .			taux,tauy
+      USE temps_mod, ONLY: day_ini,hour_ini
+      USE ener_mod, ONLY: etot0,ptot0,ztot0,stot0,ang0
       
       IMPLICIT NONE
@@ -31,12 +39,5 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "temps.h"
-#include "comconst.h"
-#include "comvert.h"
 #include "comgeom2.h"
-#include "ener.h"
-#include "description.h"
-#include "serre.h"
-#include "logic.h"
 !#include "advtrac.h"
 !#include "control.h"
Index: trunk/LMDZ.MARS/libf/dyn3d/dynredem.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/dynredem.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/dynredem.F	(revision 1422)
@@ -1,4 +1,11 @@
       SUBROUTINE dynredem0(fichnom,idayref,phis)
       use infotrac, only: tname, nqtot
+      USE comvert_mod, ONLY: ap,bp,aps,bps,pa,preff,presnivs,pseudoalt
+      USE comconst_mod, ONLY: daysec,dtvr,rad,omeg,g,cpp,kappa,pi
+      USE logic_mod, ONLY: fxyhypb,ysinus
+      USE serre_mod, ONLY: clon,clat,grossismx,grossismy,dzoomx,dzoomy,
+     .			taux,tauy
+      USE temps_mod, ONLY: hour_ini
+      USE ener_mod, ONLY: etot0,ptot0,ztot0,stot0,ang0
       IMPLICIT NONE
 c=======================================================================
@@ -9,13 +16,6 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
 #include "comgeom.h"
-#include "temps.h"
-#include "ener.h"
-#include "logic.h"
 #include "netcdf.inc"
-#include "description.h"
-#include "serre.h"
 !#include "advtrac.h"
 c   Arguments:
@@ -970,7 +970,5 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "description.h"
 #include "netcdf.inc"
-#include "comvert.h"
 #include "comgeom.h"
 !#include"advtrac.h"
Index: trunk/LMDZ.MARS/libf/dyn3d/ener.h
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/ener.h	(revision 1421)
+++ 	(revision )
@@ -1,11 +1,0 @@
-c-----------------------------------------------------------------------
-c INCLUDE 'ener.h'
-
-      COMMON/ener/ang0,etot0,ptot0,ztot0,stot0,
-     *            ang,etot,ptot,ztot,stot,rmsdpdt ,
-     *            rmsv,gtot(llmm1)
-
-      REAL ang0,etot0,ptot0,ztot0,stot0,
-     s     ang,etot,ptot,ztot,stot,rmsdpdt,rmsv,gtot
-
-c-----------------------------------------------------------------------
Index: trunk/LMDZ.MARS/libf/dyn3d/ener_mod.F90
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/ener_mod.F90	(revision 1422)
+++ trunk/LMDZ.MARS/libf/dyn3d/ener_mod.F90	(revision 1422)
@@ -0,0 +1,12 @@
+MODULE ener_mod
+
+IMPLICIT NONE  
+
+include "dimensions.h"
+include "paramet.h"
+
+      REAL ang0,etot0,ptot0,ztot0,stot0,			&
+		ang,etot,ptot,ztot,stot,rmsdpdt,rmsv,gtot(llmm1)
+
+
+END MODULE ener_mod
Index: trunk/LMDZ.MARS/libf/dyn3d/exner.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/exner.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/exner.F	(revision 1422)
@@ -1,3 +1,6 @@
       SUBROUTINE exner(ngrid,pext,aire,pks,pksf)
+
+      USE comconst_mod, ONLY: jmp1,kappa
+
       IMPLICIT NONE
 
@@ -7,6 +10,4 @@
 c   declarations:
 c   -------------
-
-#include "comconst.h"
 
       INTEGER ngrid
Index: trunk/LMDZ.MARS/libf/dyn3d/exnerF
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/exnerF	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/exnerF	(revision 1422)
@@ -30,6 +30,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
 
       INTEGER  ngrid
Index: trunk/LMDZ.MARS/libf/dyn3d/exner_hyb.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/exner_hyb.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/exner_hyb.F	(revision 1422)
@@ -23,12 +23,12 @@
 c    ( voir note de Fr.Hourdin )  ,
 c
+      USE comvert_mod, ONLY: preff
+      USE comconst_mod, ONLY: jmp1,cpp,kappa
+
       IMPLICIT NONE
 c
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comgeom.h"
-#include "comvert.h"
-#include "serre.h"
 
       INTEGER  ngrid
Index: trunk/LMDZ.MARS/libf/dyn3d/fluxstoke.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/fluxstoke.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/fluxstoke.F	(revision 1422)
@@ -6,10 +6,11 @@
 ccc   ..   Modif. P. Le Van  ( 20/12/97 )  ...
 c
+      USE comvert_mod, ONLY: presnivs
+      USE comconst_mod, ONLY: dtvr,pi
+
       IMPLICIT NONE
 c
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
 #include "comgeom.h"
 #include "tracstoke.h"
Index: trunk/LMDZ.MARS/libf/dyn3d/fxy.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/fxy.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/fxy.F	(revision 1422)
@@ -2,4 +2,7 @@
      ,                    rlatu2,yprimu2,
      , rlonu,xprimu,rlonv,xprimv,rlonm025,xprimm025,rlonp025,xprimp025)
+
+      USE comconst_mod, ONLY: pi
+      USE serre_mod, ONLY: pxo,pyo,alphax,alphay,transx,transy
 
       IMPLICIT NONE
@@ -13,6 +16,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "serre.h"
-#include "comconst.h"
 
        INTEGER i,j
Index: trunk/LMDZ.MARS/libf/dyn3d/fxysinus.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/fxysinus.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/fxysinus.F	(revision 1422)
@@ -3,4 +3,5 @@
      ,  rlonu,xprimu,rlonv,xprimv,rlonm025,xprimm025,rlonp025,xprimp025)
 
+      USE comconst_mod, ONLY: pi
 
       IMPLICIT NONE
@@ -14,5 +15,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 
        INTEGER i,j
Index: trunk/LMDZ.MARS/libf/dyn3d/gcm.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/gcm.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/gcm.F	(revision 1422)
@@ -7,4 +7,9 @@
       use filtreg_mod, only: inifilr
 !      use comgeomphy, only: initcomgeomphy
+      USE comvert_mod, ONLY: ap,bp
+      USE comconst_mod, ONLY: daysec,dtvr,dtphys,dtdiss,rad,g,r,cpp
+      USE logic_mod, ONLY: ecripar,forward,leapf,apphys,statcl,conser,
+     .		apdiss,purmats,physic,apphys
+      USE temps_mod, ONLY: day_ini,day_end,dt,itaufin
       IMPLICIT NONE
 
@@ -41,15 +46,8 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comdissnew.h"
-#include "comvert.h"
 #include "comgeom.h"
-#include "logic.h"
-#include "temps.h"
 !#include "control.h"
-#include "ener.h"
 #include "netcdf.inc"
-#include "description.h"
-#include "serre.h"
 #include "tracstoke.h"
 #include "sponge.h"
@@ -157,5 +155,4 @@
 
       modname = 'gcm'
-      descript = 'Run GCM LMDZ'
       lafin    = .FALSE.
 
Index: trunk/LMDZ.MARS/libf/dyn3d/geopot.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/geopot.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/geopot.F	(revision 1422)
@@ -26,5 +26,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comvert.h"
 
 c   Arguments:
Index: trunk/LMDZ.MARS/libf/dyn3d/gradiv.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/gradiv.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/gradiv.F	(revision 1422)
@@ -19,5 +19,4 @@
 #include "paramet.h"
 #include "comdissipn.h"
-#include "logic.h"
 
       INTEGER klevel
Index: trunk/LMDZ.MARS/libf/dyn3d/groupe.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/groupe.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/groupe.F	(revision 1422)
@@ -17,7 +17,5 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comgeom2.h"
-#include "comvert.h"
 
 
Index: trunk/LMDZ.MARS/libf/dyn3d/groupeun.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/groupeun.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/groupeun.F	(revision 1422)
@@ -24,5 +24,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comgeom2.h"
 
Index: trunk/LMDZ.MARS/libf/dyn3d/iniav.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/iniav.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/iniav.F	(revision 1422)
@@ -1,3 +1,6 @@
       SUBROUTINE iniav(fichnom,pday0,pyear0,pfrac0,pperiod,phis,nq)
+
+      USE comvert_mod, ONLY: ap,bp,nivsig,nivsigs,presnivs
+
       IMPLICIT NONE
 
@@ -17,5 +20,4 @@
 #include "comav.h"
 #include "netcdf.inc"
-#include "comvert.h"
 #include "comgeom.h"
 
Index: trunk/LMDZ.MARS/libf/dyn3d/iniconst.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/iniconst.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/iniconst.F	(revision 1422)
@@ -2,4 +2,6 @@
 
       use control_mod, only: iphysiq, idissip
+      USE comconst_mod, ONLY: im,jm,lllm,imp1,jmp1,lllmm1,lllmp1,
+     .			dtdiss,dtvr,dtphys,unsim,r,cpp,kappa,pi
       IMPLICIT NONE
 c
@@ -12,8 +14,5 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
-#include "temps.h"
 !#include "control.h"
-#include "comvert.h"
 
 
Index: trunk/LMDZ.MARS/libf/dyn3d/inidissip.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/inidissip.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/inidissip.F	(revision 1422)
@@ -9,10 +9,10 @@
 
       use control_mod, only: idissip, iperiod
+      USE comvert_mod, ONLY: aps,bps,preff,pseudoalt
+      USE comconst_mod, ONLY: dtdiss,dtvr
       IMPLICIT NONE
 #include "dimensions.h"
 #include "paramet.h"
 #include "comdissipn.h"
-#include "comconst.h"
-#include "comvert.h"
 !#include "control.h"
 
Index: trunk/LMDZ.MARS/libf/dyn3d/inigeom.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/inigeom.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/inigeom.F	(revision 1422)
@@ -14,12 +14,14 @@
 c
 c
+      USE comconst_mod, ONLY: rad,g,omeg,pi
+      USE logic_mod, ONLY: fxyhypb,ysinus
+      USE serre_mod, ONLY: clon,clat,grossismx,grossismy,dzoomx,dzoomy,
+     .			alphax,alphay,taux,tauy,pxo,pyo,transx,transy
+
       IMPLICIT NONE
 c
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comgeom2.h"
-#include "serre.h"
-#include "logic.h"
 #include "comdissnew.h"
 
Index: trunk/LMDZ.MARS/libf/dyn3d/integrd.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/integrd.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/integrd.F	(revision 1422)
@@ -2,4 +2,9 @@
      $  (  nq,vcovm1,ucovm1,tetam1,psm1,massem1,
      $     dv,du,dteta,dq,dp,vcov,ucov,teta,q,ps,masse,phis,finvmaold )
+
+      USE comvert_mod, ONLY: ap,bp
+      USE logic_mod, ONLY: leapf
+      USE serre_mod, ONLY: alphax
+      USE temps_mod, ONLY: dt
 
       IMPLICIT NONE
@@ -32,10 +37,5 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comgeom.h"
-#include "comvert.h"
-#include "logic.h"
-#include "temps.h"
-#include "serre.h"
 
 c   Arguments:
Index: trunk/LMDZ.MARS/libf/dyn3d/logic.h
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/logic.h	(revision 1421)
+++ 	(revision )
@@ -1,10 +1,0 @@
-!-----------------------------------------------------------------------
-! INCLUDE 'logic.h'
-
-      COMMON/logic/ purmats,physic,forward,leapf,apphys,grireg,         &
-     &  statcl,conser,apdiss,apdelq,saison,ecripar,fxyhypb,ysinus,hybrid
-
-      LOGICAL purmats,physic,forward,leapf,apphys,grireg,statcl,conser, &
-     & apdiss,apdelq,saison,ecripar,fxyhypb,ysinus,hybrid
-
-!-----------------------------------------------------------------------
Index: trunk/LMDZ.MARS/libf/dyn3d/logic_mod.F90
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/logic_mod.F90	(revision 1422)
+++ trunk/LMDZ.MARS/libf/dyn3d/logic_mod.F90	(revision 1422)
@@ -0,0 +1,9 @@
+MODULE logic_mod
+
+IMPLICIT NONE  
+
+LOGICAL purmats,physic,forward,leapf,apphys,grireg,statcl,conser, &
+     & apdiss,apdelq,saison,ecripar,fxyhypb,ysinus,hybrid
+
+
+END MODULE logic_mod
Index: trunk/LMDZ.MARS/libf/dyn3d/massbar.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/massbar.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/massbar.F	(revision 1422)
@@ -16,5 +16,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comgeom.h"
 c
Index: trunk/LMDZ.MARS/libf/dyn3d/massbarxy.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/massbarxy.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/massbarxy.F	(revision 1422)
@@ -16,5 +16,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comgeom.h"
 c
Index: trunk/LMDZ.MARS/libf/dyn3d/massdair.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/massdair.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/massdair.F	(revision 1422)
@@ -17,5 +17,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comgeom.h"
 c
Index: trunk/LMDZ.MARS/libf/dyn3d/nxgrarot.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/nxgrarot.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/nxgrarot.F	(revision 1422)
@@ -19,5 +19,4 @@
 #include "paramet.h"
 #include "comdissipn.h"
-#include "logic.h"
 c
       INTEGER klevel
Index: trunk/LMDZ.MARS/libf/dyn3d/ps_amontF
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/ps_amontF	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/ps_amontF	(revision 1422)
@@ -15,6 +15,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
 #include "comgeom.h"
 c
Index: trunk/LMDZ.MARS/libf/dyn3d/serre.h
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/serre.h	(revision 1421)
+++ 	(revision )
@@ -1,6 +1,0 @@
-!..include serre.h
-!
-       REAL clon,clat,transx,transy,alphax,alphay,pxo,pyo,              &
-     &  grossismx, grossismy, dzoomx, dzoomy,taux,tauy
-       COMMON/serre/clon,clat,transx,transy,alphax,alphay,pxo,pyo ,     &
-     &  grossismx, grossismy, dzoomx, dzoomy,taux,tauy
Index: trunk/LMDZ.MARS/libf/dyn3d/serre_mod.F90
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/serre_mod.F90	(revision 1422)
+++ trunk/LMDZ.MARS/libf/dyn3d/serre_mod.F90	(revision 1422)
@@ -0,0 +1,8 @@
+MODULE serre_mod
+
+IMPLICIT NONE  
+
+      REAL clon,clat,transx,transy,alphax,alphay,pxo,pyo,              &
+     &  grossismx, grossismy, dzoomx, dzoomy,taux,tauy
+
+END MODULE serre_mod
Index: trunk/LMDZ.MARS/libf/dyn3d/sortvarc.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/sortvarc.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/sortvarc.F	(revision 1422)
@@ -2,4 +2,11 @@
      $(itau,ucov,teta,ps,masse,pk,phis,vorpot,phi,bern,dp,time ,
      $ vcov )
+
+      USE comconst_mod, ONLY: daysec,dtvr,rad,g,omeg
+      USE temps_mod, ONLY: day_ini
+      USE ener_mod, ONLY: etot,ptot,ztot,stot,ang,
+     .			etot0,ptot0,ztot0,stot0,ang0,
+     .			rmsdpdt,rmsv
+
       IMPLICIT NONE
 
@@ -21,10 +28,5 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
 #include "comgeom.h"
-#include "ener.h"
-#include "logic.h"
-#include "temps.h"
 
 c   Arguments:
Index: trunk/LMDZ.MARS/libf/dyn3d/sortvarc0.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/sortvarc0.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/sortvarc0.F	(revision 1422)
@@ -2,4 +2,9 @@
      $(itau,ucov,teta,ps,masse,pk,phis,vorpot,phi,bern,dp,time ,
      $ vcov)
+
+      USE comconst_mod, ONLY: daysec,dtvr,rad,g,omeg
+      USE temps_mod, ONLY: day_ini
+      USE ener_mod, ONLY: etot0,ptot0,ztot0,stot0,ang0,rmsdpdt,rmsv
+
       IMPLICIT NONE
 
@@ -21,10 +26,5 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
 #include "comgeom.h"
-#include "ener.h"
-#include "logic.h"
-#include "temps.h"
 
 c   Arguments:
Index: trunk/LMDZ.MARS/libf/dyn3d/sponge.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/sponge.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/sponge.F	(revision 1422)
@@ -11,9 +11,10 @@
 ! def file) and doubles as level indexes decrease.
 
+      USE comvert_mod, ONLY: ap,bp,preff
+
       implicit none
 #include "dimensions.h"
 #include "paramet.h"
 #include "comdissip.h"
-#include "comvert.h"
 #include "comgeom2.h"
 #include "sponge.h"
Index: trunk/LMDZ.MARS/libf/dyn3d/temps.h
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/temps.h	(revision 1421)
+++ 	(revision )
@@ -1,14 +1,0 @@
-c-----------------------------------------------------------------------
-c INCLUDE 'temps.h'
-
-      COMMON/temps_i/day_ini,day_end,anne_ini,itaufin
-      COMMON/temps_r/dt,hour_ini
-
-      INTEGER  itaufin  ! total number of dynamical steps for the run
-      INTEGER*4 day_ini ! initial day # of simulation sequence
-      INTEGER*4 day_end ! final day # ; i.e. day # when this simulation ends
-      INTEGER*4 anne_ini ! initial year # of simulation sequence ? Not used.
-      REAL dt ! (dynamics) time step (changes if doing Matsuno or LF step)
-      REAL hour_ini ! initial fraction of day of simulation sequence (0=<hour_ini<1)
-
-c-----------------------------------------------------------------------
Index: trunk/LMDZ.MARS/libf/dyn3d/temps_mod.F90
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/temps_mod.F90	(revision 1422)
+++ trunk/LMDZ.MARS/libf/dyn3d/temps_mod.F90	(revision 1422)
@@ -0,0 +1,11 @@
+MODULE temps_mod
+
+IMPLICIT NONE  
+
+      INTEGER  itaufin  ! total number of dynamical steps for the run
+      INTEGER*4 day_ini ! initial day # of simulation sequence
+      INTEGER*4 day_end ! final day # ; i.e. day # when this simulation ends
+      REAL dt ! (dynamics) time step (changes if doing Matsuno or LF step)
+      REAL hour_ini ! initial fraction of day of simulation sequence (0=<hour_ini<1)
+
+END MODULE temps_mod
Index: trunk/LMDZ.MARS/libf/dyn3d/testharm.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/testharm.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/testharm.F	(revision 1422)
@@ -10,5 +10,4 @@
       character file*20, str2*2, str2b*2
 
-#include "serre.h"
 #include "fxyprim.h"
 
Index: trunk/LMDZ.MARS/libf/dyn3d/tourpot.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/tourpot.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/tourpot.F	(revision 1422)
@@ -22,5 +22,4 @@
 #include "paramet.h"
 #include "comgeom.h"
-#include "logic.h"
 
       REAL  rot( ip1jm,llm )
Index: trunk/LMDZ.MARS/libf/dyn3d/traceur.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/traceur.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/traceur.F	(revision 1422)
@@ -29,5 +29,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 
 c   Arguments:
Index: trunk/LMDZ.MARS/libf/dyn3d/tracvl.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/tracvl.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/tracvl.F	(revision 1422)
@@ -9,10 +9,10 @@
 
 c
+      USE comconst_mod, ONLY: dtvr
+
       IMPLICIT NONE
 c
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
 #include "comgeom.h"
 
Index: trunk/LMDZ.MARS/libf/dyn3d/vanleer.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/vanleer.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/vanleer.F	(revision 1422)
@@ -2,4 +2,6 @@
      *                     p ,masse, dq ,  iadv1, teta, pk      )
 c
+      USE comconst_mod, ONLY: dtvr
+
       IMPLICIT NONE
 c
@@ -18,5 +20,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 
 c   Arguments:
Index: trunk/LMDZ.MARS/libf/dyn3d/vitvert.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/vitvert.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/vitvert.F	(revision 1422)
@@ -1,4 +1,6 @@
       SUBROUTINE vitvert ( convm , w )
 c
+      USE comvert_mod, ONLY: bp
+
       IMPLICIT NONE
 
@@ -27,5 +29,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comvert.h"
 
       REAL w(ip1jmp1,llm),convm(ip1jmp1,llm)
Index: trunk/LMDZ.MARS/libf/dyn3d/vlsplt.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/vlsplt.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/vlsplt.F	(revision 1422)
@@ -18,7 +18,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
 
 c
@@ -129,7 +126,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
 c
 c
@@ -443,11 +437,10 @@
 c     par des "dyq" trop faible (special compilateur SUN) 27/11/2003 F. Forget
 
+      USE comconst_mod, ONLY: pi
+
       IMPLICIT NONE
 c
 #include "dimensions.h"
 #include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
 #include "comgeom.h"
 c
@@ -744,7 +737,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
 c
 c
Index: trunk/LMDZ.MARS/libf/dyn3d/vlspltqs.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/vlspltqs.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/vlspltqs.F	(revision 1422)
@@ -19,11 +19,10 @@
 c     pk exner au milieu des couches necessaire pour calculer Qsat
 c   --------------------------------------------------------------------
+      USE comconst_mod, ONLY: cpp
+
       IMPLICIT NONE
 c
 #include "dimensions.h"
 #include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
 
 c
@@ -170,7 +169,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
 c
 c
@@ -489,11 +485,10 @@
 c
 c   --------------------------------------------------------------------
+      USE comconst_mod, ONLY: pi
+
       IMPLICIT NONE
 c
 #include "dimensions.h"
 #include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
 #include "comgeom.h"
 c
Index: trunk/LMDZ.MARS/libf/dyn3d/writediagdyn.F90
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/writediagdyn.F90	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dyn3d/writediagdyn.F90	(revision 1422)
@@ -241,4 +241,7 @@
 ! other fixed (time-independent) parameters.
 
+USE comvert_mod, ONLY: pseudoalt
+USE comconst_mod, ONLY: pi
+
 implicit none
 
@@ -246,6 +249,4 @@
 #include"paramet.h"
 #include"comgeom.h"
-#include"comconst.h"
-#include"comvert.h"
 #include"netcdf.inc"
 
Index: trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/calfis.F
===================================================================
--- trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/calfis.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/calfis.F	(revision 1422)
@@ -6,4 +6,7 @@
 c    Auteur :  P. Le Van, F. Hourdin 
 c   .........
+
+      USE comvert_mod, ONLY: preff
+      USE comconst_mod, ONLY: dtphys,cpp,kappa,pi
 
       IMPLICIT NONE
@@ -63,11 +66,8 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "temps.h"
 
       INTEGER ngridmx,nq
       PARAMETER( ngridmx = 2+(jjm-1)*iim - 1/jjm   )
 
-#include "comconst.h"
-#include "comvert.h"
 #include "comgeom2.h"
 !#include "control.h"
Index: trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/datareadnc.F
===================================================================
--- trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/datareadnc.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/datareadnc.F	(revision 1422)
@@ -44,4 +44,5 @@
 ! to use  'getin'
        use ioipsl_getincom 
+      USE comconst_mod, ONLY: g,pi
 
       implicit none
@@ -50,5 +51,4 @@
 #include "paramet.h"
 #include "comgeom.h"
-#include "comconst.h"
 #include "netcdf.inc"
 #include "datafile.h"
@@ -100,5 +100,5 @@
 
 !#include "lmdstd.h"
-#include "fxyprim.h"
+!#include "fxyprim.h"
 
       pi=2.*ASIN(1.)
Index: trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/grid_noro1.F
===================================================================
--- trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/grid_noro1.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/grid_noro1.F	(revision 1422)
@@ -51,4 +51,7 @@
 c     IMPLICIT INTEGER (I,J)
 c     IMPLICIT REAL(X,Z) 
+
+       USE comconst_mod, ONLY: rad
+
        implicit none
        integer iusn,jusn,iext
@@ -57,5 +60,4 @@
 c!-*-      include 'comcstfi.h'
 #include "dimensions.h"
-#include "comconst.h"
 c!-*-
 c!-*-      parameter(iim=cols,jjm=rows)
Index: trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/ini_archive.F
===================================================================
--- trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/ini_archive.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/ini_archive.F	(revision 1422)
@@ -35,16 +35,14 @@
  
       use comsoil_h, only: nsoilmx, mlayer
+      USE comvert_mod, ONLY: ap,bp,aps,bps,pa,preff,presnivs,pseudoalt
+      USE comconst_mod, ONLY: daysec,dtvr,rad,omeg,g,cpp,kappa,pi
+      USE logic_mod, ONLY: fxyhypb,ysinus
+      USE serre_mod, ONLY: clon,clat,grossismx,grossismy,dzoomx,dzoomy
+      USE ener_mod, ONLY: etot0,ptot0,ztot0,stot0,ang0
       implicit none
 
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
 #include "comgeom.h"
-#include "temps.h"
-#include "ener.h"
-#include "logic.h"
-#include "description.h"
-#include "serre.h"
 #include "netcdf.inc"
 
Index: trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/lect_start_archive.F
===================================================================
--- trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/lect_start_archive.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/lect_start_archive.F	(revision 1422)
@@ -20,15 +20,11 @@
       use comsoil_h, only: nsoilmx, layer, mlayer, volcapa, inertiedat
       use planete_h
+      USE comvert_mod, ONLY: ap,bp,aps,bps,preff
+      USE comconst_mod, ONLY: kappa,g,pi
       implicit none
 
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
 #include "comgeom2.h"
-#include "logic.h"
-#include "description.h"
-#include "ener.h"
-#include "temps.h"
 #include "netcdf.inc"
 c=======================================================================
Index: trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/newstart.F
===================================================================
--- trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/newstart.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/newstart.F	(revision 1422)
@@ -35,4 +35,10 @@
       use comgeomfi_h, only: ini_fillgeom
       use filtreg_mod, only: inifilr
+      USE comvert_mod, ONLY: ap,bp,pa,preff
+      USE comconst_mod, ONLY: lllm,daysec,dtphys,dtvr,
+     .			cpp,kappa,rad,omeg,g,r,pi
+      USE serre_mod, ONLY: alphax
+      USE temps_mod, ONLY: day_ini,hour_ini
+      USE ener_mod, ONLY: etot0,ptot0,ztot0,stot0,ang0
 
       implicit none
@@ -41,14 +47,7 @@
       integer, parameter :: ngridmx = (2+(jjm-1)*iim - 1/jjm) 
 #include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
 #include "comgeom2.h"
-#include "logic.h"
-#include "description.h"
-#include "ener.h"
-#include "temps.h"
 #include "comdissnew.h"
 #include "clesph0.h"
-#include "serre.h"
 #include "netcdf.inc"
 #include "datafile.h"
Index: trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/readhead_NC.F
===================================================================
--- trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/readhead_NC.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/readhead_NC.F	(revision 1422)
@@ -2,4 +2,11 @@
      .           day0,
      .           phis,constR)
+
+      USE comvert_mod, ONLY: aps,bps,preff
+      USE comconst_mod, ONLY: im,jm,lllm,daysec,dtvr,
+     .			rad,omeg,g,cpp,kappa,r
+      USE temps_mod, ONLY: day_ini
+      USE ener_mod, ONLY: etot0,ptot0,ztot0,stot0,ang0
+
       IMPLICIT none
 c======================================================================
@@ -12,10 +19,5 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "temps.h"
-#include "comconst.h"
-#include "comvert.h"
 #include "comgeom.h"
-#include "ener.h"
-#include "description.h"
 
 c======================================================================
Index: trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/start2archive.F
===================================================================
--- trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/start2archive.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/start2archive.F	(revision 1422)
@@ -26,4 +26,8 @@
       use filtreg_mod, only: inifilr
       use control_mod, only: planet_type
+      USE comvert_mod, ONLY: ap,bp
+      USE comconst_mod, ONLY: g,cpp
+      USE logic_mod, ONLY: grireg
+      USE temps_mod, ONLY: day_ini,hour_ini
       implicit none
 
@@ -31,12 +35,6 @@
       integer, parameter :: ngridmx = (2+(jjm-1)*iim - 1/jjm) 
 #include "paramet.h"
-#include "comconst.h"
 #include "comdissip.h"
-#include "comvert.h"
 #include "comgeom.h"
-#include "logic.h"
-#include "temps.h"
-#include "ener.h"
-#include "description.h"
 #include "netcdf.inc"
 
Index: trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/write_archive.F
===================================================================
--- trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/write_archive.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/write_archive.F	(revision 1422)
@@ -38,8 +38,5 @@
 #include "paramet.h"
 !#include "control.h"
-#include "comvert.h"
 #include "comgeom.h"
-#include "description.h"
-#include "temps.h"
 #include "netcdf.inc"
 
Index: trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/xvik.F
===================================================================
--- trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/xvik.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/xvik.F	(revision 1422)
@@ -2,4 +2,5 @@
 
       USE filtreg_mod, ONLY: inifilr
+      USE comconst_mod, ONLY: dtvr,g,r,pi
 
       IMPLICIT NONE
@@ -16,13 +17,7 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comdissip.h"
-#include "comvert.h"
 #include "comgeom2.h"
-#include "logic.h"
-#include "temps.h"
 !#include "control.h"
-#include "ener.h"
-#include "description.h"
 #include "netcdf.inc"      
 
Index: trunk/LMDZ.MARS/libf/filtrez/filtreg_mod.F90
===================================================================
--- trunk/LMDZ.MARS/libf/filtrez/filtreg_mod.F90	(revision 1421)
+++ trunk/LMDZ.MARS/libf/filtrez/filtreg_mod.F90	(revision 1422)
@@ -7,4 +7,7 @@
 !    ... H. Upadhyaya, O.Sharma   ...
 !
+      USE logic_mod, ONLY: fxyhypb,ysinus
+      USE serre_mod, ONLY: alphax
+
       IMPLICIT NONE
 !
@@ -19,6 +22,4 @@
 #include "comgeom.h"
 #include "coefils.h"
-#include "logic.h"
-#include "serre.h"
 
       REAL  dlonu(iim),dlatu(jjm)
Index: trunk/LMDZ.MARS/libf/filtrez/inifgn.F
===================================================================
--- trunk/LMDZ.MARS/libf/filtrez/inifgn.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/filtrez/inifgn.F	(revision 1422)
@@ -8,5 +8,4 @@
 #include "paramet.h"
 #include "comgeom.h"
-#include "serre.h"
 
 c
Index: trunk/LMDZ.MARS/libf/phymars/dyn1d/comconst.h
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/dyn1d/comconst.h	(revision 1421)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../../dyn3d/comconst.h
Index: trunk/LMDZ.MARS/libf/phymars/dyn1d/comconst_mod.F90
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/dyn1d/comconst_mod.F90	(revision 1422)
+++ trunk/LMDZ.MARS/libf/phymars/dyn1d/comconst_mod.F90	(revision 1422)
@@ -0,0 +1,1 @@
+link ../../dyn3d/comconst_mod.F90
Index: trunk/LMDZ.MARS/libf/phymars/dyn1d/comvert.h
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/dyn1d/comvert.h	(revision 1421)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../../dyn3d/comvert.h
Index: trunk/LMDZ.MARS/libf/phymars/dyn1d/comvert_mod.F90
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/dyn1d/comvert_mod.F90	(revision 1422)
+++ trunk/LMDZ.MARS/libf/phymars/dyn1d/comvert_mod.F90	(revision 1422)
@@ -0,0 +1,1 @@
+link ../../dyn3d/comvert_mod.F90
Index: trunk/LMDZ.MARS/libf/phymars/dyn1d/description.h
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/dyn1d/description.h	(revision 1421)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../../dyn3d/description.h
Index: trunk/LMDZ.MARS/libf/phymars/dyn1d/ener.h
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/dyn1d/ener.h	(revision 1421)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../../dyn3d/ener.h
Index: trunk/LMDZ.MARS/libf/phymars/dyn1d/ener_mod.F90
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/dyn1d/ener_mod.F90	(revision 1422)
+++ trunk/LMDZ.MARS/libf/phymars/dyn1d/ener_mod.F90	(revision 1422)
@@ -0,0 +1,1 @@
+link ../../dyn3d/ener_mod.F90
Index: trunk/LMDZ.MARS/libf/phymars/dyn1d/logic.h
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/dyn1d/logic.h	(revision 1421)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../../dyn3d/logic.h
Index: trunk/LMDZ.MARS/libf/phymars/dyn1d/logic_mod.F90
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/dyn1d/logic_mod.F90	(revision 1422)
+++ trunk/LMDZ.MARS/libf/phymars/dyn1d/logic_mod.F90	(revision 1422)
@@ -0,0 +1,1 @@
+link ../../dyn3d/logic_mod.F90
Index: trunk/LMDZ.MARS/libf/phymars/dyn1d/serre.h
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/dyn1d/serre.h	(revision 1421)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../../dyn3d/serre.h
Index: trunk/LMDZ.MARS/libf/phymars/dyn1d/serre_mod.F90
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/dyn1d/serre_mod.F90	(revision 1422)
+++ trunk/LMDZ.MARS/libf/phymars/dyn1d/serre_mod.F90	(revision 1422)
@@ -0,0 +1,1 @@
+link ../../dyn3d/serre_mod.F90
Index: trunk/LMDZ.MARS/libf/phymars/dyn1d/temps.h
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/dyn1d/temps.h	(revision 1421)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../../dyn3d/temps.h
Index: trunk/LMDZ.MARS/libf/phymars/dyn1d/temps_mod.F90
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/dyn1d/temps_mod.F90	(revision 1422)
+++ trunk/LMDZ.MARS/libf/phymars/dyn1d/temps_mod.F90	(revision 1422)
@@ -0,0 +1,1 @@
+link ../../dyn3d/temps_mod.F90
Index: trunk/LMDZ.MARS/libf/phymars/dyn1d/testphys1d.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/dyn1d/testphys1d.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/phymars/dyn1d/testphys1d.F	(revision 1422)
@@ -19,4 +19,5 @@
      &                      cpp, dtphys
       use dimradmars_mod, only: tauscaling,tauvis
+      USE comvert_mod, ONLY: ap,bp,aps,bps,pa,preff,sig
       IMPLICIT NONE
 
@@ -52,8 +53,6 @@
 !#include "comsaison.h"
 !#include "control.h"
-#include "comvert.h"
 #include "netcdf.inc"
 #include "comg1d.h"
-#include "logic.h"
 !#include "advtrac.h"
 
Index: trunk/LMDZ.MARS/libf/phymars/eofdump_mod.F90
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/eofdump_mod.F90	(revision 1421)
+++ trunk/LMDZ.MARS/libf/phymars/eofdump_mod.F90	(revision 1422)
@@ -80,4 +80,5 @@
       use comgeomfi_h, only: long, lati
       use comcstfi_h
+      USE comvert_mod, ONLY: aps,bps
       implicit none
 !
@@ -85,5 +86,4 @@
 !
 #include "dimensions.h"
-#include "comvert.h"
 
       integer,intent(in) :: ngrid ! total number of physics grid points
Index: trunk/LMDZ.MARS/libf/phymars/inistats.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/inistats.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/phymars/inistats.F	(revision 1422)
@@ -2,4 +2,6 @@
 
       use mod_phys_lmdz_para, only : is_master
+      USE comvert_mod, ONLY: ap,bp,aps,bps,preff,pseudoalt,presnivs
+      USE comconst_mod, ONLY: daysec,dtphys,pi
       implicit none
 
@@ -7,6 +9,4 @@
 #include "paramet.h"
 #include "comgeom.h"
-#include "comvert.h"
-#include "comconst.h"
 #include "statto.h"
 #include "netcdf.inc"
Index: trunk/LMDZ.MARS/libf/phymars/iniwrite.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/iniwrite.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/phymars/iniwrite.F	(revision 1422)
@@ -3,4 +3,9 @@
       use comsoil_h, only: mlayer, nsoilmx
       USE comcstfi_h
+      USE comvert_mod, ONLY: ap,bp,aps,bps,pseudoalt
+      USE logic_mod, ONLY: fxyhypb,ysinus
+      USE serre_mod, ONLY: clon,clat,grossismx,grossismy,dzoomx,dzoomy
+      USE temps_mod, ONLY: hour_ini
+      USE ener_mod, ONLY: etot0,ptot0,ztot0,stot0,ang0
       IMPLICIT NONE
 
@@ -23,12 +28,6 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comvert.h"
 #include "comgeom.h"
-#include "temps.h"
-#include "ener.h"
-#include "logic.h"
 #include "netcdf.inc"
-#include "description.h"
-#include "serre.h"
 
 c   Arguments:
Index: trunk/LMDZ.MARS/libf/phymars/newcondens.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/newcondens.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/phymars/newcondens.F	(revision 1422)
@@ -11,4 +11,5 @@
        use planete_h
        USE comcstfi_h
+       USE comvert_mod, ONLY: bp
        IMPLICIT NONE
 c=======================================================================
@@ -59,5 +60,4 @@
 c
 #include "dimensions.h"
-#include "comvert.h"
 #include "callkeys.h"
 
Index: trunk/LMDZ.MARS/libf/phymars/physiq.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/physiq.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/phymars/physiq.F	(revision 1422)
@@ -45,4 +45,5 @@
       use eofdump_mod, only: eofdump
 #endif
+      USE comvert_mod, ONLY: ap,bp,aps,bps
 
       IMPLICIT NONE
@@ -150,5 +151,4 @@
 #include "comg1d.h"
 #include "nlteparams.h"
-#include "comvert.h"
 #include "chimiedata.h"
 #include "netcdf.inc"
Index: trunk/LMDZ.MARS/libf/phymars/writediagfi.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/writediagfi.F	(revision 1421)
+++ trunk/LMDZ.MARS/libf/phymars/writediagfi.F	(revision 1422)
@@ -44,4 +44,5 @@
      &                               is_master, gather
       USE mod_grid_phy_lmdz, only : klon_glo, Grid1Dto2D_glo
+      USE temps_mod, ONLY: day_ini
       implicit none
 
@@ -49,9 +50,6 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comvert.h"
 #include "comgeom.h"
-#include "description.h"
 #include "netcdf.inc"
-#include "temps.h"
 
 ! Arguments on input:
Index: trunk/LMDZ.MARS/libf/phymars/wstats.F90
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/wstats.F90	(revision 1421)
+++ trunk/LMDZ.MARS/libf/phymars/wstats.F90	(revision 1422)
@@ -7,5 +7,4 @@
 
 #include "dimensions.h"
-#include "comconst.h"
 #include "statto.h"
 #include "netcdf.inc"
